# Function that evaluates the cummulative incidence function
# specified according to the cause-specific hazards model and
# requiring the following input:
# t   vector of time points at which the function is to be evaluated
# k   vector of Weibull shape parameter
# p   vector of Weibull rate parameter
# i   event for which the functions needs to be evaluated
cs_cif <- function(t, k, p, i) integrate(cs_dens, lower=0, upper=t, k=k, p=p, i=i)$value;
