# Hazard function for the Weibull distribution with the
# following input parameters:
# t   vector of time points at which the function is to be evaluated
# k   vector of Weibull shape parameter
# p   vector of Weibull rate parameter
haz <- function(t, k, p) k * (p*t)^k / t;
