# Function that evaluates the cummulative incidence function
# specified according to the subdistribution hazards model and
# requiring the following input:
# t   vector of time points at which the function is to be evaluated
# k   vector of Weibull shape parameter
# p   vector of Weibull rate parameter
sd_cif <- function(t, k, p) 1 - exp( - ((p*t)^k));
